jv.number

## Class PdColor_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.number.PdColor_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public class PdColor_IP
      extends PsPanel
      implements java.awt.event.ActionListener, java.awt.event.MouseListener

  Horizontal info panel of PdColor with label, colored field, and rgb value fields. Dialog for picking color from a color wheel is activated by clicking inside the color field of info panel PdColor_IP.

  Use method `newInspector(PsPanel.INFO_EXT)` of the associated color to obtain this panel for inclusion into other panels. Note, this panel reports all events to its associated color, not to the panel it is contained in. Therefore, do not set the parent of this panel other than the associated color.

  See Also:
    `PdColor`, `PdColor_Dialog`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    15.03.08, 1.60 revised (kp) Removed TextListener since update could initiate infinite loop.
    07.06.06, 1.50 revised (kp) Multiple copies of color dialog avoided.
    04.03.03, 1.40 revised (kp) Inner class avoided by implementing MouseListener.
    13.11.00, 1.30 revised (kp) Space of color field increased.
    22.08.99, 1.20 revised (kp) Color field drawn with border type SUNK.
    07.08.99, 1.10 revised (kp) Converted to AWT 1.1
    00.00.98, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdColor_IP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `java.awt.Color` | `getColor()`
    `void` | `mouseClicked(java.awt.event.MouseEvent event)` No method body, simply to fulfill interface.
    `void` | `mouseEntered(java.awt.event.MouseEvent event)` No method body, simply to fulfill interface.
    `void` | `mouseExited(java.awt.event.MouseEvent event)` No method body, simply to fulfill interface.
    `void` | `mousePressed(java.awt.event.MouseEvent event)` No method body, simply to fulfill interface.
    `void` | `mouseReleased(java.awt.event.MouseEvent event)` Open the color dialog when mouse pressed inside the colored field.
    `void` | `setEnabled(boolean flag)`
    `void` | `setParent(PsUpdateIf parent)` Set parent of this panel which receives update events.
    `boolean` | `update(java.lang.Object object)` Update the panel whenever the parent has changed somewhere else.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, init, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PdColor_IP

          public PdColor_IP()

  - ### Method Detail

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Description copied from class: `PsPanel`
      Set parent of this panel which receives update events.

      The method `getFather` allows to retrieve this parent.

      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsPanel`
      Parameters:
        `parent` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### update

          public boolean update(java.lang.Object object)

      Update the panel whenever the parent has changed somewhere else. Method is invoked from the parent or its superclasses.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsPanel`
      Parameters:
        `object` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### getColor

          public java.awt.Color getColor()

    - #### setEnabled

          public void setEnabled(boolean flag)

      Overrides:
        `setEnabled` in class `java.awt.Component`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent event)

      No method body, simply to fulfill interface.
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Since:
        JavaView 2.53
      Version:
        07.06.06, 2.00 revised (kp) Method body moved to mouseReleased().
        04.03.03, 1.00 created (kp)

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent event)

      No method body, simply to fulfill interface.
      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`
      Since:
        JavaView 2.53
      Version:
        04.03.03, 1.00 created (kp)

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent event)

      Open the color dialog when mouse pressed inside the colored field. Color dialog is stored internally until dialog is closed.
      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Since:
        JavaView 2.53
      Version:
        07.06.06, 2.00 revised (kp) Method body moved to here from method mousePressed().
        04.03.03, 1.10 revised (kp) Code moved into own method, no longer inner class.

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent event)

      No method body, simply to fulfill interface.
      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`
      Since:
        JavaView 2.53
      Version:
        04.03.03, 1.00 created (kp)

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent event)

      No method body, simply to fulfill interface.
      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`
      Since:
        JavaView 2.53
      Version:
        04.03.03, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"